This is the multi-page printable view of this section. Click here to print.
CreateCustomMetricMetas
- 1: 1.1
1 - 1.1
post /v1/metrics/custom/meta
Description
Create Custom Metric Metas
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomMetaRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricCustomMetaResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom/meta
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"metricMetas": [
{
"descriptionEn": "filestorage volume total byte",
"descriptionKo": "파일스토리지 총 바이트 수",
"dimensions": [
[
"image_id"
]
],
"metricName": "Custom_filestorage_volume_total_byte",
"storageResolution": 60,
"unit": "Bytes"
}
],
"namespace": "MyCustom/filestorage"
}
Example HTTP response
Response 200
{
"account_id": "d79a5194b1a44a858969eb94754d3ba1",
"max_data_points": "",
"unit_logs": [
{
"code": "Success",
"message": "[libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes"
}
]
}